import React, { InputHTMLAttributes } from "react";
export type InputStatus = "DEFAULT" | "ERROR" | "FOCUS";
export type InputProps = {
    type?: "date" | "number" | "text" | "password";
    name?: string;
    value: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onError?: () => boolean;
    onReset?: () => void;
    disable?: boolean;
    enableButton?: boolean;
    attributes?: InputHTMLAttributes<HTMLInputElement>;
    placeholder?: string;
};
export type InputProps2 = InputHTMLAttributes<HTMLInputElement> & {
    onClear?: () => void;
    onError?: () => boolean;
};
export declare const Input: React.ForwardRefExoticComponent<React.InputHTMLAttributes<HTMLInputElement> & {
    onClear?: (() => void) | undefined;
    onError?: (() => boolean) | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export declare const ClearButton: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").FastOmit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, never>>;
